Bug 1273471 - Review Request: python-anymarkup-core - The core library for anymarkup
Review Request: python-anymarkup-core - The core library for anymarkup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Viktorin
Fedora Extras Quality Assurance
:
Depends On: 1275305
Blocks: 1273011
  Show dependency treegraph
 
Reported: 2015-10-20 09:50 EDT by Jan Chaloupka
Modified: 2016-02-01 01:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 19:23:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pviktori: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Chaloupka 2015-10-20 09:50:36 EDT
Spec URL: https://jchaloup.fedorapeople.org/reviews/anymarkup-core/python-anymarkup-core.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/anymarkup-core/python-anymarkup-core-0.5.0-1.fc20.src.rpm

Description: The core library for anymarkup

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11516098

Notes: spec file template stolen from python-anymarkup (bz#1223843)
Comment 1 Petr Viktorin 2015-10-20 10:33:08 EDT
The point of this library is that it does not require python-configobj, python-xmltodict, and PyYAML. Could you remove them? (From Requires, not BuildRequires -- they're still needed for tests.)
The package does need python-six, can you add that to Requires & BuildRequires?

The Source0 URL doesn't work.

A mostly aesthetic nitpick: please trim the changelog since this is a new package.

Otherwise the package looks good!
Comment 2 Upstream Release Monitoring 2015-10-20 11:57:36 EDT
jchaloup's scratch build of python-anymarkup-core-0.5.0-1.fc20.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11517553
Comment 3 Jan Chaloupka 2015-10-20 11:58:01 EDT
Spec file and srpm updated.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11517553
Comment 4 Jan Chaloupka 2015-10-20 11:58:52 EDT
Removed python-flexmock as well.
Comment 5 Petr Viktorin 2015-10-20 12:43:06 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-anymarkup-core-0.5.0-1.fc21.noarch.rpm
          python3-anymarkup-core-0.5.0-1.fc21.noarch.rpm
          python-anymarkup-core-0.5.0-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-anymarkup-core (rpmlib, GLIBC filtered):
    python(abi)
    python-six

python3-anymarkup-core (rpmlib, GLIBC filtered):
    python(abi)
    python3
    python3-six
Comment 6 Petr Viktorin 2015-10-20 12:43:33 EDT
Thanks! Looking good, let's get this into Fedora!
Comment 7 Jan Chaloupka 2015-10-20 13:07:47 EDT
Thanks Petr. New package requested in PkgDB.
Comment 8 Fedora Update System 2015-10-26 08:30:37 EDT
python-anymarkup-core-0.5.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6671d615a6
Comment 9 Fedora Update System 2015-10-26 08:30:38 EDT
python-anymarkup-core-0.5.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-702e6bb6c9
Comment 10 Jan Chaloupka 2015-10-26 09:54:40 EDT
In order to build it for epel7, python-flexmock needs to be build in epel7
Comment 11 Petr Viktorin 2015-10-26 11:12:08 EDT
It's a test dependency. Before python-flexmock lands in EPEL, you can disable the tests (for EPEL only), and remove the BuildRequires.

Of course then you'll need to test manually.
Comment 12 Fedora Update System 2015-10-26 22:18:21 EDT
python-anymarkup-core-0.5.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-anymarkup-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-702e6bb6c9
Comment 13 Fedora Update System 2015-10-28 16:25:44 EDT
python-anymarkup-core-0.5.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-anymarkup-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6671d615a6
Comment 14 Jan Chaloupka 2015-10-28 17:19:41 EDT
Thanks Petr for letting me know. At the moment atomicapp build requires anymarkup>=0.4.1 so as long as it does not need 0.5.0 explicitly it can wait.
Comment 15 Petr Viktorin 2016-01-28 07:19:37 EST
Jan, are you planning to push the update to f23/f22?
Comment 16 Fedora Update System 2016-01-28 19:23:34 EST
python-anymarkup-core-0.5.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-01 01:33:49 EST
python-anymarkup-core-0.5.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.